# typedef Case

#### package haxe.macro

#### import haxe.macro.Expr

Available on all platforms

Represents a switch case.

See:

https://haxe.org/manual/expression-switch.html

### Properties

###

`expr:Null<Expr>`

The expression of the case, if available.

###

`guard:Null<Null<Expr>>`

The optional guard expressions of the case, if available.

###

`values:Array<Expr>`

The value expressions of the case.